# Method: projects.locations.catalogs.databases.list

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/list#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/list#body.ListDatabasesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases/list#body.aspect_1)

List all databases in a specified catalog.

### HTTP request

`GET https://biglake.googleapis.com/v1/{parent=projects/*/locations/*/catalogs/*}/databases`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of databases. Format: projects/{project_id_or_number}/locations/{locationId}/catalogs/{catalogId} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of databases to return. The service may return fewer than this value. If unspecified, at most 50 databases will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `databases.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `databases.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the databases.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "databases": [ { object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases#Database`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `databases[]` | ``object (`https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/projects.locations.catalogs.databases#Database`)`` The databases from the specified catalog. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `biglake.databases.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).